﻿@model Services.Customers.Dtos.PostCustomerInput

@{
    Layout = "_Layout";
}


@{
    ViewBag.Title = "Create";
}
@if (Model == null)
{
    <h2>Create New Customer</h2>
}
else
{
    <h2>Edit Customer</h2>
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr/>
        @Html.ValidationSummary(true, "", new {@class = "text-danger"})
        <div class="form-group">
            @Html.LabelFor(model => model.FirstName, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                @Html.EditorFor(model => model.FirstName, new {htmlAttributes = new {@class = "form-control"}})
                @Html.ValidationMessageFor(model => model.FirstName, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.LastName, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                @Html.EditorFor(model => model.LastName, new {htmlAttributes = new {@class = "form-control"}})
                @Html.ValidationMessageFor(model => model.LastName, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DateOfBirth, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                @Html.EditorFor(model => model.DateOfBirth, new {htmlAttributes = new {@class = "form-control"}})
                @Html.ValidationMessageFor(model => model.DateOfBirth, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Email, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                @Html.EditorFor(model => model.Email, new {htmlAttributes = new {@class = "form-control"}})
                @Html.ValidationMessageFor(model => model.Email, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PhoneNumber, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                <input name="_@nameof(Model.PhoneNumber)" id="_@nameof(Model.PhoneNumber)" class="form-control" type="text" value="@Model?.PhoneNumber">
                @Html.ValidationMessageFor(model => model.PhoneNumber, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.BankAccountNumber, htmlAttributes: new {@class = "control-label col-md-3"})
            <div class="col-md-10">
                @Html.EditorFor(model => model.BankAccountNumber, new {htmlAttributes = new {@class = "form-control"}})
                @Html.ValidationMessageFor(model => model.BankAccountNumber, "", new {@class = "text-danger"})
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="@(Model == null ? "Create" : "Edit")" class="btn btn-info"/>
            </div>
        </div>
    </div>
}

@section Scripts
{
    <environment include="Production">
        <link rel="stylesheet" href="/lib/intl-tel-input/css/intlTelInput.min.css">
    </environment>
    <environment exclude="Production">
        <link rel="stylesheet" href="/lib/intl-tel-input/css/intlTelInput.css">
        <script src="/lib/intl-tel-input/js/intlTelInput.js"></script>
        <script src="/lib/intl-tel-input/js/utils.js"></script>
        <script>
          const input = document.querySelector("#_@nameof(Model.PhoneNumber)");
          window.intlTelInput(input, {
                                     hiddenInput: "@nameof(Model.PhoneNumber)",
                                     utilsScript: "/lib/intl-tel-input/js/utils.js?1562189064761" // just for formatting/placeholders etc
                                   });
        </script>
    </environment>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>